%define debug_package	%{nil}

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

# It's the same for releases, but different for pre-releases: please
# don't remove, even if it seems superfluous - AdamW 2008/03
%define fversion	%{version}

Summary:	'Bad' plugins for the Elisa media center
Name:		elisa-plugins-bad
Version:	0.3.5
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core = %{version}
Requires:	elisa-plugins-good = %{version}
Suggests:	python-lirc
Suggests:	python-coherence
Suggests:	python-daap
# Needed for DAAP plugin
Suggests:	avahi-python

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'bad' (somehow not up to planned
standards for plugins) plugins for Elisa.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
# already in -good
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugins_bad-%{fversion}-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugins_bad-%{fversion}-py%{pyver}-nspkg.pth



%changelog
* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.5-1mdv2008.1
+ Revision: 188616
- prettify svn / pre-release conditionals
- new release 0.3.5
- suggests avahi-python (needed for the DAAP plugin)

* Mon Mar 10 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-4mdv2008.1
+ Revision: 183204
- suggests python-daap

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-3mdv2008.1
+ Revision: 181072
- revert last change: updater is not enabled in default 0.3.4 config (only was enabled in rc2). will use a more elegant patch if re-enabled in future releases

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-2mdv2008.1
+ Revision: 181060
- add disable_updater.patch to stop raval frontend from checking for updates

* Wed Mar 05 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-1mdv2008.1
+ Revision: 179304
- buildrequires elisa-core not elisa to fix circular dependency issue
- 0.3.4 final

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc3.1mdv2008.1
+ Revision: 177154
- new release 0.3.4rc3

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc1.2mdv2008.1
+ Revision: 176860
- depend on -plugins-good (for __init__.py*), don't include __init__.py*

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc1.1mdv2008.1
+ Revision: 176631
- import elisa-plugins-bad


